from distutils.core import setup, Extension

hk_kdeclassesmodule= Extension('_hk_kdeclasses',
						define_macros = [ ('MAJOR_VERSION','0'),
									    ('MINOR_VERSION','0')],
						include_dirs= ['../hk_kdeclasses','/usr/include/hk_classes','/usr/lib/qt3/include'],
						libraries = ['hk_classes','hk_kdeclasses'],
						library_dirs = ['../hk_kdeclasses/.libs','/usr/lib/hk_classes'],
						runtime_library_dirs = ['/usr/lib/hk_classes','/opt/kde3/lib','/usr/lib/qt3/lib'],
						sources = ['hk_kdeclasses_wrap.cxx'])

setup (	name='hk_kdeclasses',
		version='0.0',
		description='hk_classes is a database library',
		author='Horst Knorr',
		author_email='hk_classes@knoda.org',
		url='http://hk-classes.sourceforge.net',
		long_description='',
		py_modules=["hk_kdeclasses"],
		ext_modules = [hk_kdeclassesmodule])
